/* Header */
body.rtl .menu-area-addon .add--home-icon .navbar ul:not(.sub-menu) > li .back-mega--current ul li,
body.rtl .menu-area-addon .addclass--vertical .navbar ul > li{
    text-align: right;
}
body.rtl .menu-area-addon .add--home-icon .navbar ul:not(.sub-menu) > li:first-child a::before{
    left: unset;
    right: -30px;
}
body.rtl .menu-area-addon .add--dots .navbar ul:not(.sub-menu) > li:last-child.back-mega--current-active{
    padding: 14px 14px 26px 0;
}
body.rtl .menu-area-addon .add--dots .navbar ul:not(.sub-menu) > li:last-child.back-mega--current-active > a{
    left: -10px;
}
body.rtl .menu-area-addon ul:not(.sub-menu) > li.back-mega--current-active > a{
    padding-right: 0;
    padding-left: 16px;
}
body.rtl .menu-area-addon ul:not(.sub-menu) > li.back-mega--current-active > a:before{
    right: auto;
    left: -1px;
}
/* Breadcrumb  */
body.rtl .reactheme-breadcrumb .breadcrumb-path{
    display: inline-flex;
    align-items: center;
}
body.rtl .reactheme-breadcrumb .breadcrumb-separator::before{
    top: 0;
    transform: rotate(180deg);
}
/* Canvas Menu Icon */
body.rtl .menu-wrap-off{
    left: unset;
    right: 0;
    transform: translate3d(350px, 0, 0);
}
body.rtl .menu-wrap-off.menu-ofcn.off-open{
    transform: translate3d(0, 0, 0);
}
body.rtl .menu-area-addon-offcan .navbar ul > li.menu-item-has-children > a::before{
    right: 100%;
}
body.rtl .menu-area-addon-offcan .navbar ul > li.menu-item-has-children > a:not(.rt-open):before{
    top: 0;
    transform: rotate(180deg);
}
body.rtl .menu-wrap-off .inner-offcan .nav-link-container{
    right: unset;
    left: 10px;
}
body.rtl .menu-wrap-off .menu .sub-menu{
    padding-left: 0;
    padding-right: 20px;
}
/* Archive page  */
body.rtl .reactheme-blog .rt_post-style_modern .rt-author-part .rt-author,
body.rtl .reactheme-blog .rt_post-style_classic .rt-author-part .rt-author{
    margin-right: 0px;
    margin-left: 14px;
}
body.rtl .reactheme-blog .rt_post-style_modern .rt-author-part .rt-author img,
body.rtl .reactheme-blog .rt_post-style_classic .rt-author-part .rt-author img{
    margin-right: 0px;
    margin-left: 10px;
}
body.rtl .reactheme-blog .rt_post-style_modern .rt-author-part .rt-comments,
body.rtl .reactheme-blog .rt_post-style_classic .rt-author-part .rt-comments{
    padding-left: 0px;
    padding-right: 20px;
}
body.rtl .reactheme-blog .rt_post-style_modern a.esbmrk-add-to-bookmark-btn .esbmrk-bookmark-label{
    margin-left: 0px;
    margin-right: 5px;
}
body.rtl .reactheme-blog .rt_post-style_modern .rt-author-part .rt-bookmark{
    padding-left: 0px;
    padding-right: 16px;
}
body.rtl .reactheme-blog .rt_post-style_classic article .rt-ctn-wrap{
    padding-left: 0;
    padding-right: 15px;
}
body.rtl .rt-navigation ul .next-thumbnail{
    padding-left: 0px;
    padding-right: 14px;
}
body.rtl .rt-navigation ul .prev-thumbnail{
    padding-right: 0px;
    padding-left: 14px;
}
body.rtl.page-template-easy_bookmark_listing .esbmrk-meta .esbmrk-meta-icon-user{
    padding-left: 0px;
    padding-right: 15px;
    margin-left: 0px;
    margin-right: 8px;
}
body.rtl.page-template-easy_bookmark_listing .esbmrk-meta .esbmrk-meta-icon-user::before{
    left: unset;
    right: -2px;
}
body.rtl .react-sideabr .widget_search button, 
body.rtl .react-sideabr .bs-search button{
    right: unset;
    left: 0;
}
body.rtl .rt-single-share a.esbmrk-add-to-bookmark-btn .esbmrk-icon{
    left: -12px;
}
body.rtl .reactheme-pagination-area .nav-links a.next:before, 
body.rtl .pagination-area .nav-links a.next:before{
    content: "\e940";
}
body.rtl .rt-navigation ul li:nth-child(2){
    text-align: left;
}
/* Author */
body.rtl .rt-author-block .author-desc{
    padding-left: 0px;
    padding-right: 25px;
}
body.rtl .rt-author--opinions .opinions-item .rt-post-title{
    padding-left: 0;
    padding-right: 18px;
}
/* Shop */
body.rtl.woocommerce .woocommerce-ordering select{
    text-align: left;
}
body.rtl.single-product.woocommerce span.onsale{
    left: unset !important;
    right: 15px !important;
}
body.rtl.single-product div.product p.price{
    justify-content: flex-end;
}
body.rtl.woocommerce div.product .product_meta{
    text-align: right;
}
body.rtl .rt-search-sec .rt-woo-cart .rt-cart-count{
    right: 100%;
}
/* Heading CSS  */
body.rtl .react-heading.style3 a{
    padding-left: 0;
    padding-right: 16px;
}
body.rtl .react-heading.style3 a::after{
    left: unset;
    right: 0;
}
body.rtl .react-heading.enable_live_yes{
    padding-left: 0;
    padding-right: 22px;
}
body.rtl .react-heading.enable_live_yes::after{
    left: unset;
    right: 0;
}
/* Content CSS  */
body.rtl .react-heading.style2 a::before{
    right: 100%;
    top: 40%;
    transform: rotate(180deg);
}
body.rtl .react-button a i,
body.rtl .rt-post-filters .rt-load-more-inner i,
body.rtl #load-more-btn i{
    rotate: 180deg;
}
body.rtl .rt-post--slider-list:not(.style--2, .style--3, .style--4, .style--5) .single-item .port-title{
    padding-left: 0px;
    padding-right: 15px;
}
body.rtl .rt-post--grid-transparent .single-item .post-thumbnail .port-title .rt-author-part .rt-author, 
body.rtl .rt-post--slider-banner .single-item .post-thumbnail .port-title .rt-author-part .rt-author,
body.rtl .rt-post-filters.rt-post-style2 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-author,
body.rtl .rt-post-filters.rt-post-style5 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-author{
   margin-right: 0px;
   margin-left: 20px;
}
body.rtl .rt-post--grid-transparent .single-item .post-thumbnail .port-title .rt-author-part .rt-author img, 
body.rtl .rt-post--slider-banner .single-item .post-thumbnail .port-title .rt-author-part .rt-author img,
body.rtl .rt-post-filters.rt-post-style2 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-author img,
body.rtl .rt-post-filters.rt-post-style5 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-author img,
body.rtl .rt-thumb-video .rt-slide-inner .rt-post-title .rt-author-part .rt-author img,
body.rtl .rt-thumb-bg .rt-slide-inner .rt-post-title .rt-author-part .rt-author img{
    margin-right: 0px;
    margin-left: 10px;
}
body.rtl .rt-tooltip-container{
    right: unset;
    left: 0;
}
body.rtl .rt-post--list li .port-title a{
    padding-right: 0px;
    padding-left: 15px;
}
body.rtl .rt-post--list.addclass-img-left .port-title a{
    padding-left: 0px;
}
body.rtl .rt-post--list ul.rt-ago-time li + li{
    padding-right: 18px;
    padding-left: 0;
    margin-left: 0;
    margin-right: 12px;
}
body.rtl .rt-post--list ul.rt-ago-time li + li::before{
    left: unset;
    right: 0;
}
body.rtl .rt-post--slider-list.style--2 ul.rt-time-part li.rt-comments,
body.rtl .rt-post-filters.rt-post-style2 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-comments,
body.rtl .rt-post-filters.rt-post-style5 .back-posts li .rt-post-item .rt-post-filter .rt-author-part .rt-comments{
    padding-left: 0px;
    padding-right: 8px;
}
body.rtl .rt-post--slider-list.style--2 ul.rt-time-part li.rt-comments::before{
    left: unset;
    right: -5px;
}
body.rtl .rt-gallery-slider-pagination{
    right: unset !important;
    left: 40px;
}
body.rtl .rt-thumb-video .slider__col{
    margin-left: 0px;
    margin-right: 16px;
}

body.rtl .loader {
    display: block;
    position: relative;
    top: 46%;
    right: 0;
    width: 70px;
    height: 70px;
    z-index: 1001;
    transform: unset;
    margin: 0 auto;
    left: 0;
}
body.rtl .rt-post-tab .nav.post-tab{
    padding-right: 0;
    padding-left: 25px;
    margin-right: 0;
    margin-left: 25px;
    border-left: 1px solid rgba(131, 131, 131, 0.1215686275);
    border-right: none;
}
body.rtl .rt-post--slider-list.style--3 .rt-cate-date-part li + li,
body.rtl .rt-post--live-news .rt-cate-date-part li + li {
    border-left: none;
    border-right: 1px solid rgba(131, 131, 131, 0.6901960784);
    margin-left: 0px;
    margin-right: 15px;
    padding-left: 0px;
    padding-right: 15px;
}
body.rtl .rt-post--live-news .single-item{
    text-align: right;
}
body.rtl .rt-post--live-news .single-item .rt-author img{
    margin-right: 0px;
    margin-left: 10px;
}
body.rtl .rt-post--grid-transparent .single-item .post-thumbnail .port-title ul.rt-ago-time li + li, 
body.rtl .rt-post--slider-banner .single-item .post-thumbnail .port-title ul.rt-ago-time li + li,
body.rtl .rt-post--posts-grids .port-title ul.rt-ago-time li + li,
body.rtl .rt-post-filters .back-posts li .rt-post-item .rt-post-filter ul.rt-ago-time li + li{
    padding-left: 0px;
    padding-right: 12px;
    margin-left: 0px;
    margin-right: 12px;
}
body.rtl .rt-post--grid-transparent .single-item .post-thumbnail .port-title ul.rt-ago-time li + li::before, 
body.rtl .rt-post--slider-banner .single-item .post-thumbnail .port-title ul.rt-ago-time li + li::before,
body.rtl .rt-post--posts-grids .port-title ul.rt-ago-time li + li::before,
body.rtl .rt-post-filters .back-posts li .rt-post-item .rt-post-filter ul.rt-ago-time li + li::before{
    left: 100%;
}
body.rtl .rt-post--list.addclass-img-left .port-title{
    padding-left: 0;
    padding-right: 20px;
}
body.rtl .rt-trending{
    float: right;
    clear: right;
    padding-right: 0;
    padding-left: 15px;
    position: relative;
}
body.rtl .rt-trending i{
    position: absolute;
    left: 100%;
}
body.rtl .post-list-navigation-btm{
    flex-direction: row-reverse;
    justify-content: flex-end;
}
body.rtl .rt-post--popular:not(.post-trending-style-2) .port-title{
    padding-left: 0;
    padding-right: 50px;
}
body.rtl .rt-post--popular .port-title .rt-lett{
    left: unset;
    right: 0;
}
body.rtl .rt-thumb-bg .slider__col{
    right: unset;
    left: 15%;
}
body.rtl .rt-thumb-bg .rt-arrow-cir{
    flex-direction: row-reverse;
    justify-content: flex-end;
}
body.rtl .rt-thumb-slider .slider__thumbs .slider__image .rt-slide-inner-thum .rt-title{
    padding-left: 0px;
    padding-right: 20px;
}
body.rtl .rt-post--posts-grids.rt-posts-grids3 .single-item .port-title .rt-ago-time li i,
body.rtl .rt-see-mr i{
    transform: rotate(180deg);
    display: inline-block;
}
body.rtl .rt-post--popular.post-trending-style-3 li .port-title{
    padding-left: 30px;
    padding-right: 50px;
}
body.rtl .rt-post--popular.post-trending-style-3 li+li{
    border-left: none;
    border-right: 1px solid #6d69691f;
    padding-left: 0;
    padding-right: 40px;
}
body.rtl .rt-post--popular.post-trending-style-3 li.rt-no-bdr{
    border-right: none;
    padding-right: 0;
}
body.rtl .rt-single-share.rt-single-share-sticky{
    right: unset;
    left: 100px;
}
/* Footer Language */
body.rtl .menu-area-addon .add--footer-style-language .navbar ul:not(.sub-menu) {
    padding: 0 21px 0 0;
}
body.rtl .menu-area-addon .add--footer-style-language .navbar ul:not(.sub-menu)::before{
    left: unset;
    right:0;
}
body.rtl .menu-area-addon .add--footer-style-language .navbar ul li a {
    padding: 0 0 0 20px;
}
body.rtl .menu-area-addon .navbar ul > li.menu-item-has-children > a:before{
    right: auto;
    left: -2px;
}
body.rtl #top-to-bottom{
    right: unset;
    left: 20px;
}
body.rtl .mf-checkbox-option, body.rtl .mf-radio-option{
    padding-right: 0;
    padding-left: 15px;
}
/* Comments */
@media screen and (max-width: 1440px) and (min-width: 992px) {
    body.rtl .rt-thumb-bg .slider__col {
        left: 15px;
    }
}
@media only screen and (max-width: 991px) {
    body.rtl .reactheme-blog .rt_post-style_classic article .rt-ctn-wrap{
        padding-right: 0px;
    }
    body.rtl .rt-post--popular.post-trending-style-3 li+li{
        padding-right: 0;
        border: none;
    }
}
@media only screen and (min-width: 768px) {
    body.rtl .comments-area .comment-list li.comment .comment-body{
        padding-left: 0px;
        padding-right: 98px;
    }
    body.rtl .comments-area .comment-list li.comment .comment-author img{
        float: right;
        right: 0;
        left: unset;
    }
    body.rtl .comments-area .comment-list li.comment .comment-author b{
        float: right;
    }
    body.rtl .comments-area .comment-list li.comment .reply{
        text-align: right;
    }
}
@media only screen and (max-width: 767px) {
    body.rtl .rt-author-block .author-desc{
        padding-right: 0px;
    }
    body.rtl .rt-banner-style-2 .single-item .post-thumbnail .port-title{
        right: auto;
    }
}